<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GRAM Protocol</title>
    <filename>main</filename>
  </compound>
  <compound kind="page">
    <name>globus_gram_protocol</name>
    <title>GRAM Protocol Definition</title>
    <filename>globus_gram_protocol</filename>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_delegation</docanchor>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_job_state_updates</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_functions</name>
    <title>Functions</title>
    <filename>group__globus__gram__protocol__functions.html</filename>
    <subgroup>globus_gram_protocol_error_messages</subgroup>
    <subgroup>globus_gram_protocol_framing</subgroup>
    <subgroup>globus_gram_protocol_io</subgroup>
    <subgroup>globus_gram_protocol_pack</subgroup>
    <subgroup>globus_gram_protocol_unpack</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_signal</name>
    <title>GRAM Signals</title>
    <filename>group__globus__gram__protocol__job__signal.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_job_signal_t</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>ga7f97d16875a469bdbcc608919bbab2e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a68a43294c8b0e94f7caa4ed6556559f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a9b2c4d2130c4d9f6fc2fb0e0bd935fca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a73beb9ac8f199648a615c89da019e42e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a0657b13be8214a9f7d904317a0ee6173</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a446972d01fb4e570fa925d24d1353e3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a9596878f12da244aa34e581a921dfde3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1ab9a29673e5b8a381cfe49c6acbf7bb74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1aa16b86d37b89be46552be11d1267296f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a695d07bc70c7fc2ed022f23c435ffe64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END</name>
      <anchorfile>group__globus__gram__protocol__job__signal.html</anchorfile>
      <anchor>gga7f97d16875a469bdbcc608919bbab2e1a80e20b9b5990432954280510719b1884</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__job__signal">globus_gram_protocol_job_signal_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_state</name>
    <title>GRAM Job States</title>
    <filename>group__globus__gram__protocol__job__state.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_job_state_t</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>ga7ee774d35df5e9243f18c998aef47936</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a6d189b817380789a19bc4eb8a36dc2b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936aebcb91f39b010998eef5607579cf07c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a4aa5df65b704384af76fcd9f2024b09d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ae0b33655ec6fa61a40e4436cb8dfd056</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ad9942bb756a52a0368e264d2559266df</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936a145615bd81d2ba42df2f236499bc371d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936aa9bf73d18631d50b97320d59af3ce489</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936ab2d6e2977a6e34ba4faadcd9da83f8e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL</name>
      <anchorfile>group__globus__gram__protocol__job__state.html</anchorfile>
      <anchor>gga7ee774d35df5e9243f18c998aef47936afa8c58a66302f7ba4047310cbbf0172b</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__job__state">globus_gram_protocol_job_state_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error</name>
    <title>GRAM Error codes</title>
    <filename>group__globus__gram__protocol__error.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_error_t</name>
      <anchorfile>group__globus__gram__protocol__error.html</anchorfile>
      <anchor>ga863534740ac3b78cff476a36d197bfad</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__error">globus_gram_protocol_error_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error_messages</name>
    <title>Error Translation</title>
    <filename>group__globus__gram__protocol__error__messages.html</filename>
    <member kind="function">
      <type>const char *</type>
      <name>globus_gram_protocol_error_string</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>ga3a34390199dff664dd92a1647465dfd9</anchor>
      <arglist>(int error_code)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_error_7_hack_replace_message</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>gaa78493f676d09e91b77eb51b2ba8a21f</anchor>
      <arglist>(const char *message)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_framing</name>
    <title>Message Framing</title>
    <filename>group__globus__gram__protocol__framing.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_request</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>ga802c7ddc5d740a8924c4d8ea4da34ccf</anchor>
      <arglist>(const char *url, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_reply</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>gad36cdae83ef495c64ef51eb4a4e0c59b</anchor>
      <arglist>(int code, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_io</name>
    <title>Message I/O</title>
    <filename>group__globus__gram__protocol__io.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_allow_attach</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga5672d838f7c38e983d09c4c73e00b0eb</anchor>
      <arglist>(char **url, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_callback_disallow</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga439b63f5fba38e88262ec5fbc2626f31</anchor>
      <arglist>(char *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_post</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gad1abe20b6a040c49266f17d96d160b38</anchor>
      <arglist>(const char *url, globus_gram_protocol_handle_t *handle, globus_io_attr_t *attr, globus_byte_t *message, globus_size_t message_size, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_reply</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>gab69a2fc894783c133b16aa8ca4d6546c</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, int code, globus_byte_t *message, globus_size_t message_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_get_sec_context</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga84b9c461ea14b11f86100b7e9d4cc12d</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, gss_ctx_id_t *context)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_pack</name>
    <title>Message Packing</title>
    <filename>group__globus__gram__protocol__pack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga86417f402c997031f6353a70ca3b853f</anchor>
      <arglist>(int job_state_mask, const char *callback_url, const char *rsl, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga38661e5ce3605686330946020f4d921a</anchor>
      <arglist>(int status, const char *job_contact, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga431d7940fdad541823245facc7200ef9</anchor>
      <arglist>(const char *status_request, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga016c5b35447ecf9a6c86c062c509c412</anchor>
      <arglist>(int job_status, int failure_code, int job_failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga9f9d7d5f6c369cb81acd439643fce83f</anchor>
      <arglist>(char *job_contact, int status, int failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_unpack</name>
    <title>Message Unpacking</title>
    <filename>group__globus__gram__protocol__unpack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga09bf3cfb5440080bc03c93297c782df9</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, int *job_state_mask, char **callback_url, char **description)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga0af9386e715e6a0ded25151ce12d1479</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *status, char **job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gac75cb1eb57899932612e3da79fadc706</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, char **status_request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gafda4b17bfddd3cbe1e333e24cb5e07af</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *job_status, int *failure_code, int *job_failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>gaf789826b960913b2e6047445e3ff5eae</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, char **job_contact, int *status, int *failure_code)</arglist>
    </member>
  </compound>
</tagfile>
